
Foreman - Bug #1918

Cannot dis-associate a template kind from an OS

10/26/2012 12:14 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you have a single template for a given template kind (say, script) then your combo-box in OS->Templates will look like:

script: [blank]

ScriptTemplate

If you have selected ScriptTemplate in the past, and now select [blank] and Save the OS, the association isn't deleted - the OS still

uses ScriptTemplate.

This makes it impossible to then delete ScriptTemplate itself, as it's still in use by the OS.

Associated revisions

Revision 4af4a174 - 11/13/2012 09:42 AM - Robert Birnie

fixes #1918 dis-associate template kind from OS

History

#1 - 10/26/2012 07:07 PM - Robert Birnie

Pull request: https://github.com/theforeman/foreman/pull/214

I think this'll fix it. Works for me right now.

#2 - 11/13/2012 10:40 AM - Robert Birnie

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 4af4a174642a0bb257d1573369038f9b0d84aa14.

Powered by TCPDF (www.tcpdf.org)

05/12/2024 1/1

https://github.com/theforeman/foreman/pull/214
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4af4a174642a0bb257d1573369038f9b0d84aa14
http://www.tcpdf.org

